[% USE Dumper %]


<div id="fresh-form" class="ztb">
    <form method="POST" action="[% formaction %]" class="zvalidate use_submit ezra_zaaktypebeheer" enctype="multipart/form-data">
        <input type="hidden" name="zaaktype_update" value="1" />
        <div class="block clearfix">
            <div class="block-header ztb-header clearfix">
                [% IF(zaaktype_id) %]
                <div class="block-header-title">[% params.node.titel | html_entity %] -  
                [% ELSE %]
                    Zaaktype aanmaken
                [% END %]
                    <span>Relaties</span>
                </div>
            </div>
            <div id="content" class="block-content">

                <h3 class="title">Relaties met subjecten</h3>
                <table class="marginbottom form fixed-layout">
                    <tbody>
                        <tr>
                            <td class="td300">Trigger</td>
                            <td class="td300">
                                <select name="node.trigger" id="change_aanvragers">
                                        <option
                                            value="internextern"
                                            [%
                                                (
                                                    params.node.trigger == trigger
                                                        ?  'selected="selected"'
                                                        : ''
                                                )
                                            %]
                                        >Intern / Extern</option>
                                    [% FOREACH trigger IN ZOPTIONS.TRIGGERS.sort %]
                                        <option
                                            value="[% trigger %]"
                                            [%
                                                (
                                                    params.node.trigger == trigger
                                                        ?  'selected="selected"'
                                                        : ''
                                                )
                                            %]
                                        >[% c.loc(trigger) %]</option>
                                    [% END %]
                                </select>
                            </td>
                            <td class="td300">
                                <span class="validator"></span>
                            </td>
                        </tr>

                        <tr>
                            <td>Mogelijke aanvragers</td>

                            <td>
                                 <input type="hidden" name="ezra_checkboxes" value="zaaktype_betrokkenen.betrokkene_type" />
                                <div class="aanvragers_extern">
                                    [% FOREACH aanvrager IN ZOPTIONS.AANVRAGERS_INTERN.sort %]
                                         <label 
                                            for="zaaktype_betrokkenen.betrokkene_type_[% aanvrager %]"><input
                                            type="checkbox"
                                            name="zaaktype_betrokkenen.betrokkene_type"
                                            id="zaaktype_betrokkenen.betrokkene_type_[% aanvrager %]"
                                            value="[% aanvrager %]"
                                            [% (
                                                    zaaktype_betrokkenen.$aanvrager
                                                        ? 'checked="checked"'
                                                        : ''
                                                )
                                            %]
                                        >[% c.loc(aanvrager) %]
                                        </label>
                                    [% END %][% contact_betrokkene_id %]
                                        <label for="preset_client_check"><input
                                            type="checkbox"
                                            name="zaaktype_betrokkenen.betrokkene_type"
                                            class="ezra_checkbox_preset_client"
                                            value="preset_client"
                                            id="preset_client_check"
                                            [% (
                                                    zaaktype_betrokkenen.preset_client
                                                        ? 'checked="checked"'
                                                        : ''
                                                )
                                            %]
                                        >Vooringevulde aanvrager                           
                                        [% preset_client_betrokkene = c.model('Betrokkene').get({}, params.definitie.preset_client) %] 
                                            <input type="hidden" name="definitie.preset_client" value="[% params.definitie.preset_client %]" />
                                            <strong>[% preset_client_betrokkene.naam %]</strong>
                                            [% contact_betrokkene_id = 'betrokkene-' _ preset_client_betrokkene.btype _ '-' _ preset_client_betrokkene.gmid %]
                                            
                                        </label>
                                            <div class="ezra_preset_client" style="display:none;">
                                                <table class="preset_client">

                                                [% INCLUDE widgets/search_contact.tt 
                                                    type_label = 'Type aanvrager'
                                                    label = 'Aanvrager'
                                                    ezra_id = 'ezra_id_aanvrager'
                                                    input_name = 'preset_client'
                                                    selector_input = 'betrokkene_type'
                                                    skip_validator = 0
                                                %]
                                                </table>
                                            </div>
                                        </div>
                                </div>
                                <div class="aanvragers_intern">
                                    <div class="aanvragers_intern_hidden_field">
                                        <input
                                            type="hidden"
                                            name="zaaktype_betrokkenen.betrokkene_type"
                                            value="[% ZNAMING.AANVRAGER_TYPE_MEDEWERKER %]"
                                            />
                                            [% c.loc(ZNAMING.AANVRAGER_TYPE_MEDEWERKER) %]
                                    </div>
                                    <div class="aanvragers_intern_checkbox_field">
                                        <input
                                            type="hidden"
                                            name="zaaktype_betrokkenen.betrokkene_type"
                                            value="[% ZNAMING.AANVRAGER_TYPE_MEDEWERKER %]"
                                            />
                                            <label>
                                        <input
                                            type="checkbox"
                                            name="zaaktype_betrokkenen.betrokkene_type"
                                            value="[% ZNAMING.AANVRAGER_TYPE_MEDEWERKER %]"
                                            checked="checked"
                                            disabled="disabled"
                                            [% (
                                                    zaaktype_betrokkenen.$aanvrager
                                                        ? 'checked="checked"'
                                                        : ''
                                                )
                                            %]
                                        > [% c.loc(ZNAMING.AANVRAGER_TYPE_MEDEWERKER) %]</label>
                                    </div>
                                </div>
                            </td>
                            <td>
                                <span class="validator"></span>
                            </td>
                        </tr>

                        [% preset_owner_subject = c.model('Betrokkene').get(
                            {},
                            params.node.properties.preset_owner_identifier
                        ) %]

                        [% INCLUDE widgets/search_betrokkene.tt
                            label = 'Vooringevulde behandelaar (API)'
                            ezra_id = 'ezra_id_owner'
                            input_name = 'node.properties.preset_owner_identifier'
                            contact_betrokkene_naam = preset_owner_subject.naam
                            contact_betrokkene_id = preset_owner_subject.betrokkene_identifier
                            skip_validator = 1
                        %]

                        <tr>
                            <td>Overige relaties met subjecten</td>
                            <td colspan="2">
                                Overige relaties met subjecten kunnen worden
                                toegevoegd bij 'Acties' of tijdens de
                                behandeling
                            </td>
                        </tr>

                    </tbody>
                </table>


                <h3 class="title">Relaties met objecten</h3>

                <table class="marginbottom form fixed-layout">
                    <tbody> 
                        <tr>
                            <td class="td300">Adres van de aanvrager</td>
                            <td class="td300">
                                <div class="aanvragers_extern">
                                    <div>
                                        <input type="hidden" name="ezra_checkboxes" value="node.adres_aanvrager" />
                                        <label>
                                        <input
                                            type="checkbox"
                                            name="node.adres_aanvrager"
                                            value="1"
                                            [% (
                                                    params.node.adres_aanvrager
                                                        ? 'checked="checked"'
                                                        : ''
                                                )
                                                %] > [% c.loc('Gebruiken voor correspondentie') %]
                                        </label>
                                    </div>
                                    <div>
                                        <input type="hidden" name="ezra_checkboxes" value="node.adres_andere_locatie" />
                                        <label>
                                        <input
                                            type="checkbox"
                                            name="node.adres_andere_locatie"
                                            value="1"
                                            [% (
                                                    params.node.adres_andere_locatie
                                                        ? 'checked="checked"'
                                                        : ''
                                                )
                                                %] > [% c.loc('Gebruiken als zaakadres') %]
                                        </label>
                                    </div>
                                    <div>
                                        <input type="hidden" name="ezra_checkboxes" value="node.adres_geojson" />
                                        <label>
                                        <input
                                            type="checkbox"
                                            name="node.adres_geojson"
                                            value="1"
                                            [% (
                                                    params.node.adres_geojson
                                                        ? 'checked="checked"'
                                                        : ''
                                                )
                                                %] > [% c.loc('Tonen op kaart (GeoJSON)') %]
                                        </label>
                                    </div>

                                </div>
                                <div class="aanvragers_intern">
                                    <div class="aanvragers_intern_hidden_field">
                                    Anders
                                    </div>
                                </div>
                            </td>
                            <td class="td300">
                                <span class="validator"></span>
                            </td>
                        </tr>
                        <tr>
                            <td>Overige adressen gebruiken</td>
                            <td colspan="2">
                                Relaties met overige adressen kunnen via
                                kenmerken worden aangemaakt.
                            </td>
                        </tr>
                    </tbody>
                </table>

                <div data-ng-controller="nl.mintlab.admin.CaseTypeController" data-ng-init="init('[% zaaktype_id %]')" data-ng-include="'/html/admin/casetype/tariff.html'"></div>

                <div class="form-actions form-actions-sticky clearfix">
                    <input type="button" name="goback" value="Vorige" class="go_back button-secondary button left">

                    [% PROCESS beheer/zaaktypen/voortgang.tt %]

                    <input type="submit" value="Volgende" class="button-primary button right">
                    <input name="destination" type="hidden" value="" />
                </div>
            </div>
        </div>
    </form>
</div>
